Skip to main content

Type Alias: GatewayInferenceUrlCitation

type GatewayInferenceUrlCitation = {
[key: string]: unknown;
url: string;
title: string;
type: "url_citation";
start_index: number;
end_index: number;
};

Defined in: src/models/ai-gateway-inference.ts:3982

Portkey UrlCitation; additive response fields are preserved.

Example​

`GatewayInferenceUrlCitationSchema.parse(value);`

Indexable​

[key: string]: unknown

Properties​

url​

url: string;

Defined in: src/models/ai-gateway-inference.ts:3983


title​

title: string;

Defined in: src/models/ai-gateway-inference.ts:3984


type​

type: "url_citation";

Defined in: src/models/ai-gateway-inference.ts:3985


start_index​

start_index: number;

Defined in: src/models/ai-gateway-inference.ts:3986


end_index​

end_index: number;

Defined in: src/models/ai-gateway-inference.ts:3987